Subject: Re: Windows permissions with repository on a network share

From: Jerome Lovy <[email-masked]>
Date: Wed, 18 May 2011 12:10:34 +0200

Le 18/05/2011 10:52, Sitaram Chamarty a écrit :
> On Tue, May 17, 2011 at 8:55 PM, Jerome Lovy
> <[email-masked]>  wrote:
>> Hello,
>>
>> Did anyone experiment with Windows permissions for a Git repository located
>> on a Windows network share?
>>
>> Is it a sensible scheme in order to have a central repository with ACLs
>> (notably some group can read/write, some other group can only read) without
>> the need to set up a dedicated server (ala Gitolite) ?
>> (Assuming a Windows network share infrastructure is already in place...)
>
> I don't know about Windows but any OS/file-system level ACL system
> that has more granularity than the usual user/group/other, ought to
> work fine.
>
> The only thing gitolite can add is branch-level permissions, which it
> doesn't sound like you need.
>
> [Of course, I like to think that the config file in gitolite is a much
> cleaner way of setting, reviewing, changing, and tracking changes of,
> permissions, but I'm biased ;-)]

In this respect, Gitolite has a good point indeed with the auditing 
possibility, thanks to change tracking.